#
# AUTOMATICALLY GENERATED FILE
#    do not edit!
#
#
CXX = c++
AR = ar
RANLIB = ranlib
PERL = /usr/pkg/bin/perl
WINDRES = 

DEFAULT_CXXFLAGS = -I/usr/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -Wall -Wundef \
	-I../../lib/win32 -I../../lib/common  \
	-DBOX_VERSION="\"0.11.1\""
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -rdynamic

ifdef RELEASE
CXXFLAGS = -DBOX_RELEASE_BUILD -O2 $(DEFAULT_CXXFLAGS)
OUTBASE = ../../release
OUTDIR = ../../release/lib/raidfile
DEPENDMAKEFLAGS = RELEASE=1
VARIENT = RELEASE
else
CXXFLAGS = -g $(DEFAULT_CXXFLAGS)
OUTBASE = ../../debug
OUTDIR = ../../debug/lib/raidfile
DEPENDMAKEFLAGS =
VARIENT = DEBUG
endif

HIDE     = $(if $(V),,@)
_CXX     = $(if $(V),$(CXX),     @ echo "  [CXX]     $<" && $(CXX))
_LINK    = $(if $(V),$(CXX),     @ echo "  [LINK]    $@" && $(CXX))
_WINDRES = $(if $(V),$(WINDRES), @ echo "  [WINDRES] $<" && $(WINDRES))
_AR      = $(if $(V),$(AR),      @ echo "  [AR]      $@" && $(AR))
_RANLIB  = $(if $(V),$(RANLIB),  @ echo "  [RANLIB]  $@" && $(RANLIB))
_PERL    = $(if $(V),$(PERL),    @ echo "  [PERL]    $@" && $(PERL) >/dev/null)

$(OUTDIR)/raidfile.a: $(OUTDIR)/RaidFileController.o $(OUTDIR)/RaidFileRead.o $(OUTDIR)/RaidFileUtil.o $(OUTDIR)/RaidFileWrite.o $(OUTDIR)/autogen_RaidFileException.o
	$(HIDE) (echo -n > $(OUTDIR)/raidfile.a; rm $(OUTDIR)/raidfile.a)
	$(_AR) cq $(OUTDIR)/raidfile.a $(OUTDIR)/RaidFileController.o $(OUTDIR)/RaidFileRead.o $(OUTDIR)/RaidFileUtil.o $(OUTDIR)/RaidFileWrite.o $(OUTDIR)/autogen_RaidFileException.o
	$(_RANLIB) $(OUTDIR)/raidfile.a

$(OUTDIR)/RaidFileRead.o: RaidFileRead.cpp ../../lib/win32/emu.h RaidFileController.h RaidFileException.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h RaidFileUtil.h ../../lib/common/Utils.h ../../lib/common/Logging.h RaidFileRead.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/raidfile\"" -c RaidFileRead.cpp -o $(OUTDIR)/RaidFileRead.o

$(OUTDIR)/RaidFileWrite.o: RaidFileWrite.cpp ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/Utils.h RaidFileUtil.h ../../lib/common/Logging.h RaidFileRead.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Guards.h RaidFileController.h RaidFileException.h RaidFileWrite.h ../../lib/win32/emu.h ../../lib/common/FileStream.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/raidfile\"" -c RaidFileWrite.cpp -o $(OUTDIR)/RaidFileWrite.o

$(OUTDIR)/RaidFileController.o: RaidFileController.cpp ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/Configuration.h ../../lib/common/CommonException.h RaidFileException.h RaidFileController.h ../../lib/win32/emu.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ../../lib/common/Box.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/raidfile\"" -c RaidFileController.cpp -o $(OUTDIR)/RaidFileController.o

$(OUTDIR)/RaidFileUtil.o: RaidFileUtil.cpp ../../lib/common/FileModificationTime.h ../../lib/common/FileStream.h ../../lib/common/BoxTime.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h RaidFileController.h RaidFileException.h ../../lib/win32/emu.h ../../lib/common/BoxConfig.h RaidFileRead.h ../../lib/common/MemLeakFindOn.h RaidFileUtil.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/raidfile\"" -c RaidFileUtil.cpp -o $(OUTDIR)/RaidFileUtil.o

$(OUTDIR)/autogen_RaidFileException.o: autogen_RaidFileException.cpp ../../lib/common/FileStream.h ../../lib/common/BoxException.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h autogen_RaidFileException.h ../../lib/win32/emu.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/raidfile\"" -c autogen_RaidFileException.cpp -o $(OUTDIR)/autogen_RaidFileException.o


clean:
	-rm -rf $(OUTDIR)/*
ifndef SUBCLEAN
	$(HIDE) (cd ../../lib/win32; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/common; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
endif


include Makefile.extra


buildsystem:
	(cd ../..; perl ./infrastructure/makebuildenv.pl )

